unit Lstruct;

interface

{ai,am,zf,e,ft,av,pa,g,b,acd,r,q,mn:}

type
Func_F = Function(I :Integer): Extended;

Func_F1 = Function (Y :Real): Real;
Func_F1E = Function (Y :Extended): Extended;

Func_F1A = Function (X :Array of Real): Real;
Func_F1AE = Function (X :Array of Extended): Extended;

Func_F2 = Function (var Y :Array of Real;K :Integer): Real;
Func_F2E = Function (var Y :Array of Extended;K :Integer): Extended;

Func_F3 = Function (X :Real;Y :Real;Z :Real): Real;
Func_F3E = Function (X :Extended;Y :Extended;Z :Extended): Extended;

Func_F3A = Function (X :Array of Real;Y :Array of Real;Z :Array of Real): Real;
Func_F3AE = Function (X :Array of Extended;Y :Array of Extended;
                      Z :Array of Extended): Extended;

type
Proc_F = Procedure (X :Real; var Y :Array of Real; var DY :Array of Real;
                    M :Integer);
Proc_F2 = Procedure (X :Real; var Y :Array of Real; var DY :Array of Real;
                     var Z :Array of Real; M :Integer);
Proc_FJ = Procedure (X :Real; var Y :Array of Real;
                     var DF :Array of Real; M :Integer);
Proc_F_e = Procedure (X :Extended; var Y :Array of Extended;
                      var DY :Array of Extended; M :Integer);
Proc_F2_e = Procedure (X :Extended; var Y :Array of Extended;
            var DY :Array of Extended; var Z :Array of Extended; M :Integer);

{e,ft}
Proc_EF01R  = Procedure (M :Integer; N :Integer; var A :Array of Real;
                    var V :Array of Real; var W :Array of Real; NOP :Integer);
{ai,am,zf,q}
type
Proc_F3 = Procedure (X :Real; var Y :Real; var Z :Real);
Proc_F3E = Procedure (X :Extended; var Y :Extended; var Z :Extended);

Proc_F2_A = Procedure (X :Real;var Y :Array of Real);
Proc_F2_AE = Procedure (X :Extended;var Y :Array of Extended);

Proc_F3_A = Procedure (X :Real;var Y :Array of Real; I :Array of Integer);
Proc_F3E_A = Procedure (X :Extended;var Y :Array of Extended;
             I :Array of Integer);

Proc_F2A = Procedure (X :Array of Real;var Y :Array of Real);
Proc_F2AE = Procedure (X :Array of Extended;var Y :Array of Extended);

Proc_F3A = Procedure (X :Array of Real;var Y :Array of Real;
                      var Z :Array of Real);
Proc_F3AE = Procedure (X :Array of Extended;var Y :Array of Extended;
            var Z :Array of Extended);
Proc_F3AI = Procedure (J :Integer;var Y :Array of Real; M :Integer);


{mn}
Proc_F1_MN  = Procedure (var X :Array of Real; var F :Real; FE :Real);
Proc_F1E_MN = Procedure (var X :Array of Extended; var F :Extended; FE :Extended);
Proc_F2_MN  = Procedure (var X :Array of Real; var G :Array of Real;
                var GE :Array of Real; var I0 :Array of Integer);
Proc_F2E_MN = Procedure (var X :Array of Extended; var G :Array of Extended;
                var GE :Array of Extended; var I0 :Array of Integer);
Proc_F3_MN  = Procedure (var X :Array of Real; var G :Array of Real;
                GE :Real; I0 :Integer);
Proc_F3E_MN = Procedure (var X :Array of Extended; var G :Array of Extended;
                GE :Extended; I0 :Integer);
Proc_F4_MN  = Procedure (var X :Array of Real; var F :Array of Real;
                FE :Real);
Proc_F4E_MN = Procedure (var X :Array of Extended; var F :Array of Extended;
                FE :Extended);
Proc_F5_MN  = Procedure (var X :Array of Real; var G :Array of Real;
                GE :Real; var I0 :Array of Integer);
Proc_F5E_MN = Procedure (var X :Array of Extended; var G :Array of Extended;
                GE :Extended; var I0 :Array of Integer);
Proc_F6_MN  = Procedure (var X :Array of Real; M :Integer; N :Integer;
                var F :Array of Real);
Proc_F7_MN  = Procedure (X :Real; var F :Real; FE :Real);
Proc_F7E_MN = Procedure (X :Extended; var F :Extended; FE :Extended);


Proc_MNI05  = Procedure (FUN :Proc_F4_MN; var A :Array of Real;
                var B :Array of Real; var N :Integer; var M :Integer;
                var L :Integer; var Y :Array of Real; var FY :Real;
                var F :Array of Real; var FS :Real;
                var X :Array of Real; var P :Array of Real; GFP :Real;
                var R :Array of Real);
Proc_MNI07  = Procedure (FUN :Proc_F4E_MN; var A :Array of Extended;
                var B :Array of Extended; var N :Integer; var M :Integer;
                var L :Integer; var Y :Array of Extended;
                var FY :Extended; var F :Array of Extended;
                var FS :Extended; var X :Array of Extended;
                var P :Array of Extended; GFP :Extended;
                var R :Array of Extended);

type
 _ = record
  elm1: Integer;
 end;

type  {Utxtar}
 MMOD = record
  elm1: Integer;
 end;

type
 COM48R = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Integer;
 end;
type
 COM48D = record
  elm1: Extended;
  elm2: Extended;
  elm3: Extended;
  elm4: Extended;
 end;

type
 GSG1R1 = record
  elm1: Real;
  elm2: Real;
 end;

type
 PA06RR = record
  elm1: Integer;
 end;

type
 ZF16RR = record
  elm1: Integer;
 end;
type
 ZF17RR = record
  elm1: Integer;
 end;
type
 ZF18RR = record
  elm1: Integer;
 end;
type
 ZF20RR = record
  elm1: Integer;
 end;
type
 ZF21RR = record
  elm1: Integer;
 end;
 ZF31RR = record
  elm1: Integer;
 end;
type
 QSCOMX = record
  elm1: Real;
 end;
type
 QS = record
  elm1: Integer;
 end;

type
 MMKRIC = record
  elm1: Real;
  elm2: Integer;
  elm3: Real;
  elm4: Array [0..14] of Real;
 end;
type
 MMKRD = record
  elm1: Extended;
  elm2: Integer;
  elm3: Extended;
  elm4: Array [0..14] of Extended;
 end;
type
 MNA4RR = record
  elm1: Integer;
 end;
type
 MNI1 = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Integer;
  elm5: Integer;
  elm6: Integer;
  elm7: Integer;
 end;
type
 MNI2 = record
  elm1: Real;
  elm2: Real;
  elm3: Real;
  elm4: Real;
  elm5: Real;
  elm6: Real;
  elm7: Real;
  elm8: Integer;
  elm9: Integer;
  elm10: Integer;
  elm11: Integer;
  elm12: Real;
  elm13: Integer;
  elm14: Integer;
 end;
type
 MNI3 = record
  elm1: Extended;
  elm2: Extended;
  elm3: Extended;
  elm4: Integer;
  elm5: Integer;
  elm6: Integer;
  elm7: Integer;
 end;
type
 MNI4 = record
  elm1: Extended;
  elm2: Extended;
  elm3: Extended;
  elm4: Extended;
  elm5: Extended;
  elm6: Extended;
  elm7: Extended;
  elm8: Integer;
  elm9: Integer;
  elm10: Integer;
  elm11: Integer;
  elm12: Extended;
  elm13: Integer;
  elm14: Integer;
 end;
type
 MNA1RR = record
  elm1: Integer;
 end;
type
 MNA3RR = record
  elm1: Integer;
 end;
type
 MNA5RR = record
  elm1: Integer;
 end;
type
 MNA6RR = record
  elm1: Integer;
 end;
type
 MNA6RC = record
  elm1: Integer;
  elm2: Array [0..49] of Real;
  elm3: Array [0..49] of Real;
 end;
type
 MNA6EC = record
  elm1: Integer;
  elm2: Array [0..49] of Extended;
  elm3: Array [0..49] of Extended;
 end;


var
_FileRes : TextFile;

var
_COM48R :COM48R;
_COM48D :COM48D;
__ :_;

_PA06RR :PA06RR;
_GSG1R1:GSG1R1;

_ZF16RR :ZF16RR;
_ZF17RR :ZF17RR;
_ZF18RR :ZF18RR;
_ZF20RR :ZF20RR;
_ZF21RR :ZF21RR;
_ZF31RR :ZF31RR;
_QSCOMX :QSCOMX;
_QS :QS;

_MMKRIC :MMKRIC;
_MMKRD  :MMKRD;
_MNA4RR :MNA4RR;
_MNI1   :MNI1;
_MNI2   :MNI2;
_MNI3   :MNI3;
_MNI4   :MNI4;
_MNA1RR :MNA1RR;
_MNA3RR :MNA3RR;
_MNA5RR :MNA5RR;
_MNA6RR :MNA6RR;
_MNA6RC :MNA6RC;
_MNA6EC :MNA6RC;

implementation

end.
